LIBRARY ieee;
USE ieee.std_logic_1164.all;
USE ieee.std_logic_unsigned.all;

ENTITY blinker IS
  PORT(
	clk : IN STD_LOGIC;
	led : OUT STD_LOGIC);
END blinker;

ARCHITECTURE blinker_arch OF blinker IS
  SIGNAL counter : STD_LOGIC_VECTOR(25 DOWNTO 0);
BEGIN

  PROCESS (clk) IS
  BEGIN
    IF (clk'EVENT AND clk='1') THEN
      counter <= counter + 1;
    END IF;
  END PROCESS;

  led <= counter(25);

END blinker_arch;
